#sub_categs_section1-wrapper {
  margin-bottom: 8px;
}

#sub_categs_section1-wrapper .section-title-block {
  margin-top: 0.9rem !important;
}

.sub_categs_section .swiper-wrapper {
  overflow-y: auto;
  scroll-behavior: smooth;
  box-sizing: border-box;
}

.sub_categs_section .ec_cat_slider {
  height: unset !important;
  display: grid !important;
  grid-auto-flow: column;
  grid-template-rows: repeat(1, auto);
  gap: 12px;

  overflow-x: auto;
  overflow-y: hidden;

  padding: 8px;
  /* scroll-snap-type: x mandatory; */
}

/* .ec_cat_slider .categ-item {
  width: 90px;
} */

.subcategory-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 10px 5px;
  justify-items: center;
  align-items: stretch;
  margin: 0 auto;
  max-width: 1100px;
}
.subcategory-item {
  /* height: 125px; */
  width: 100%;
  background: #fff;
  transition: transform 0.3s ease;
  cursor: pointer;
  text-align: center;
  border-radius: 10px;
}
@media (min-width: 768px) {
  .subcategory-item {
    height: 190px;
  }
}
/* .subcategory-item:hover {
  transform: scale(0.95);
} */
.subcategory-item img {
  border-radius: 50%;
  object-fit: contain;
  height: 75px;
  width: 75px;
}
.subcategory-item h6 {
  font-size: 15px;
  color: #333;
  margin-top: 8px;
  font-weight: 600;
  text-align: center;
  height: 14px;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
@media (max-width: 768px) {
  .sub_categs_section .swiper-wrapper {
    -ms-overflow-style: none;
    scrollbar-width: none;
  }

  .sub_categs_section .swiper-wrapper::-webkit-scrollbar {
    display: none;
  }
  .subcategory-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .d-sm-none {
    display: none !important;
  }
}
@media (max-width: 480px) {
  .subcategory-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}
.ec-view-all-btn:hover,
.ec-view-all-btn:active,
.ec-view-all-btn:focus {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
  color: #ffffff !important;
}
.ec-product-card {
  /* transform: scale(1); */
  /* transform-origin: center center; */
  border: 0;
  border-radius: 8px;
  overflow: hidden;
  background: #fff;
  position: relative;
  height: 100%;
  margin-bottom: 0px;
  /* box-shadow: 0 0 10px 3px rgba(255, 140, 0, 0.4), 0 4px 6px rgba(0, 0, 0, 0.08); */
}

.ec-product-card a {
  display: block;
  height: 100%;
}

.subcategory-hover-effect {
  transition: box-shadow 0.18s ease, transform 0.18s ease !important;
}
/* .subcategory-hover-effect:hover {
  box-shadow: 0 0 3px 1px rgba(255, 140, 0, 0.15), 0 1px 4px rgba(0, 0, 0, 0.07) !important;
  transform: translateY(-0.5px) scale(1.002) !important;
} */
/* .ec-card-image-wrap {
  aspect-ratio: 1 / 1;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  width: 100% !important;
} */
@media (min-width: 768px) {
  .ec-mobile-show-more {
    display: none !important;
  }
  .ec-mobile-hide-item-6,
  .ec-mobile-hide-item-7,
  .ec-mobile-hide-item-8,
  .ec-mobile-hide-item-9,
  .ec-mobile-hide-item-10,
  .ec-mobile-hide-item-11,
  .ec-mobile-hide-item-12,
  .ec-mobile-hide-item-13,
  .ec-mobile-hide-item-14,
  .ec-mobile-hide-item-15 {
    display: block !important;
  }
}
@media (max-width: 767.98px) {
  .ec-mobile-hide-item-6,
  .ec-mobile-hide-item-7,
  .ec-mobile-hide-item-8,
  .ec-mobile-hide-item-9,
  .ec-mobile-hide-item-10,
  .ec-mobile-hide-item-11,
  .ec-mobile-hide-item-12,
  .ec-mobile-hide-item-13,
  .ec-mobile-hide-item-14,
  .ec-mobile-hide-item-15 {
    display: none !important;
  }
  .ec-cat-desc .ec-title {
    margin-top: 5px;
    color: #000;
    font-size: 12px;
    font-weight: bold;
    white-space: normal;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    -webkit-box-orient: vertical;
    margin-bottom: 0;
    line-height: 16px;
  }
  .ec-cat-desc {
    padding: 5px !important;
    border-radius: 10px;
  }
  .ec-card-image-wrap-wrapper {
    border-radius: 10px;
    /* border: 2.5px solid var(--primary-color); */
  }
  .ec-card-image-wrap {
    border-radius: 50%;
    /* height: 85px !important; */
    padding: 5px !important;
    background-color: #f1f1f1;
    /* border: 3px solid #fff; */
  }
  .ec-cat-content {
    padding-left: 5px !important;
    padding-right: 5px !important;
    margin-bottom: 10px !important;
  }
  .ec-mobile-show-more {
    display: block !important;
  }
}
.ec-view-all-btn {
  background-color: var(--primary-color) !important;
  border-color: var(--primary-color) !important;
  color: #ffffff !important;
}
.ec-view-all-btn:hover {
  background-color: #e5a500;
}
@media (min-width: 768px) {
  .subcategory-grid {
    grid-template-columns: repeat(4, 1fr);
    gap: 10px 5px;
    max-width: 1100px;
  }
  .subcategory-item {
    width: 100%;
    height: 190px;
    padding: 0;
    border-radius: 12px;
    background: #fff;
  }
  .subcategory-item img {
    height: 140px;
    width: 140px;
  }
  .subcategory-item h6 {
    font-size: 15px !important;
    font-weight: 700;
    line-height: 1.4;
    font-weight: 600;
    margin: 6px auto 0;
    height: 17px;
    line-height: 1.3;
    text-align: center;
    padding: 0 5px;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}
